{
    "name": "drupal/recommended-project",
    "description": "Project template for Drupal 9 projects with a relocated document root",
    "type": "project",
    "license": "GPL-2.0-or-later",
    "homepage": "https://www.drupal.org/project/drupal",
    "support": {
        "docs": "https://www.drupal.org/docs/user_guide/en/index.html",
        "chat": "https://www.drupal.org/node/314178"
    },
    "repositories": [
        {
            "type": "composer",
            "url": "https://packages.drupal.org/8"
        }
    ],
    "require": {
        "composer/installers": "^1.9",
        "drupal/address": "^1",
        "drupal/admin_toolbar_content": "^1.3",
        "drupal/administerusersbyrole": "^3.3",
        "drupal/amswap": "^3",
        "drupal/audiofield": "1.x-dev@dev",
        "drupal/base_field_override_ui": "^1.1",
        "drupal/config_pages": "^2.14",
        "drupal/core-composer-scaffold": "^9",
        "drupal/core-project-message": "^9",
        "drupal/core-recommended": "^9",
        "drupal/flexible_permissions": "@beta",
        "drupal/genpass": "^1.1",
        "drupal/graphql": "4.x-dev@dev",
        "drupal/group": "3.0.x-dev@dev",
        "drupal/mail_login": "^2.6",
        "drupal/paragraphs": "^1.15",
        "drupal/paragraphs_modal_edit": "^1.1",
        "drupal/regcode": "^1.1",
        "drupal/restui": "^1.21",
        "drupal/role_delegation": "^1.2",
        "drupal/structure_sync": "^2.0",
        "drupal/terms_of_use": "^2.3",
        "drupal/typed_data": "1.x-dev@dev",
        "drupal/views_ef_fieldset": "^1.5",
        "wikimedia/composer-merge-plugin": "^2.0"
    },
    "conflict": {
        "drupal/drupal": "*"
    },
    "minimum-stability": "stable",
    "prefer-stable": true,
    "config": {
        "allow-plugins": {
            "composer/installers": true,
            "drupal/core-composer-scaffold": true,
            "drupal/core-project-message": true,
            "dealerdirect/phpcodesniffer-composer-installer": true,
            "wikimedia/composer-merge-plugin": true,
            "cweagans/composer-patches": true,
            "drupal/console-extend-plugin": true
        },
        "sort-packages": true
    },
    "extra": {
        "drupal-scaffold": {
            "locations": {
                "web-root": "web/"
            }
        },
        "installer-paths": {
            "web/core": [
                "type:drupal-core"
            ],
            "web/libraries/{$name}": [
                "type:drupal-library"
            ],
            "web/modules/contrib/{$name}": [
                "type:drupal-module"
            ],
            "web/profiles/contrib/{$name}": [
                "type:drupal-profile"
            ],
            "web/themes/contrib/{$name}": [
                "type:drupal-theme"
            ],
            "drush/Commands/contrib/{$name}": [
                "type:drupal-drush"
            ],
            "web/modules/custom/{$name}": [
                "type:drupal-custom-module"
            ],
            "web/profiles/custom/{$name}": [
                "type:drupal-custom-profile"
            ],
            "web/themes/custom/{$name}": [
                "type:drupal-custom-theme"
            ]
        },
        "drupal-core-project-message": {
            "include-keys": [
                "homepage",
                "support"
            ],
            "post-create-project-cmd-message": [
                "<bg=blue;fg=white>                                                         </>",
                "<bg=blue;fg=white>  Congratulations, you’ve installed the Drupal codebase  </>",
                "<bg=blue;fg=white>  from the drupal/recommended-project template!          </>",
                "<bg=blue;fg=white>                                                         </>",
                "",
                "<bg=yellow;fg=black>Next steps</>:",
                "  * Install the site: https://www.drupal.org/docs/8/install",
                "  * Read the user guide: https://www.drupal.org/docs/user_guide/en/index.html",
                "  * Get support: https://www.drupal.org/support",
                "  * Get involved with the Drupal community:",
                "      https://www.drupal.org/getting-involved",
                "  * Remove the plugin that prints this message:",
                "      composer remove drupal/core-project-message"
            ]
        },
        "merge-plugin": {
            "include": [
                "web/profiles/d8-starterkit-profile/composer.json"
            ],
            "recurse": true,
            "replace": false,
            "merge-extra": true
        },
        "disabled patches": {
            "drupal/core": {
                "Apply formatters and widgets to User base fields 'name' and 'email' https://www.drupal.org/project/drupal/issues/2227381": "https://www.drupal.org/files/issues/2022-01-28/2227381-91.patch"
            }
        },
        "patches": {
            "drupal/paragraphs": {
                "Skip saving empty paragraphs for certain types https://www.drupal.org/project/paragraphs/issues/2877695" : "https://www.drupal.org/files/issues/2021-03-31/2877695-35.patch"
            },
            "drupal/graphql": {
              "invalid translation language https://github.com/drupal-graphql/graphql/pull/1176": "./patches/graphql-fix-invalid-translation-language-dev.patch"
            },
            "drupal/email_registration": {
              "Allow authentication via mail and password over RPC https://www.drupal.org/project/email_registration/issues/2856542": "https://www.drupal.org/files/issues/2021-06-11/2856542-13.patch"
            },
            "drupal/group": {
                "Empty page when trying to create group node https://www.drupal.org/project/group/issues/2842630": "https://www.drupal.org/files/issues/2022-09-02/group-2842630-40-v3.patch"
            }
          }
    }
}
